Bug 448655 - Path down messages are seen during the creation of snapclone/snapshot for a LUN. [NEEDINFO]
Path down messages are seen during the creation of snapclone/snapshot for a LUN.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: device-mapper-multipath (Show other bugs)
5.2
All Linux
low Severity high
: rc
: ---
Assigned To: Ben Marzinski
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-27 23:45 EDT by vijay
Modified: 2010-01-11 21:42 EST (History)
17 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 17:09:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
cward: needinfo? (bnagendr)


Attachments (Terms of Use)

  None (edit)
Description vijay 2008-05-27 23:45:54 EDT
Description of problem:
Path failure messages are seen during the creation of a snapclone/snapshot for 
a LUN.

Version-Release number of selected component (if applicable):
device-mapper-multipath-0.4.7-17.el5

How reproducible:
This can be reproduce by creating a snapclone/snapshot for a LUN and 
constantly monitoring the path status.Paths are seen to be failed for a 
fraction of time.

Steps to Reproduce:
1.Create a snapclone/snapshot for a LUN.
2.Check the path status during this process.
 
Actual results:
Paths are seen to be going down for some time.

Expected results:
Path failures are not expected during this process.

Additional info:
Creation of a snapclone/snapshot for a LUN returns a Unit Attention with a 
changed Inquiry data,for TUR. With this, the checker marks the path as down.

But,these conditions can be retried for a fixed number of times to see if it 
is corrected and then the paths marked accordingly.

The patch to fix this is availale in the dm-devel mailing list at -
http://www.redhat.com/archives/dm-devel/2008-April/msg00201.html
Comment 1 RHEL Product and Program Management 2008-07-14 15:13:45 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 2 vijay 2008-08-18 07:24:47 EDT
Hi,
Is there any update on this bug?

Thanks.
Comment 3 Ben Marzinski 2008-08-25 17:44:13 EDT
Patch applied. Thanks.
Comment 5 Chris Ward 2008-11-28 02:14:36 EST
Partners, this bug should be fixed in the latest RHEL 5.3 Snapshot. We believe that you have some interest in its correct functionality, so we're making a friendly request to send us some testing feedback. 

If you have a chance to test it, please share with us your findings. If you have successfully VERIFIED the fix, please add PartnerVerified to the Bugzilla keywords, along with a description of the results. Thanks!
Comment 6 Chris Ward 2008-12-18 05:39:02 EST
~~ Snapshot 6 is out ~~ Partners, please test and let us know if this bug has been fixed. Add PartnerVerified keyword if everything works as expected. For any new issues encountered, CLONE this bug and report the issues in the new bug.
Comment 8 errata-xmlrpc 2009-01-20 17:09:25 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0232.html

Note You need to log in before you can comment on or make changes to this bug.